OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepShape

# StepShape_FacetedBrepAndBrepWithVoids Class Reference

`#include <StepShape_FacetedBrepAndBrepWithVoids.hxx>`

Inheritance diagram for StepShape_FacetedBrepAndBrepWithVoids:

[legend]

## Public Member Functions
Standard_EXPORT | StepShape_FacetedBrepAndBrepWithVoids ()
| Returns a FacetedBrepAndBrepWithVoids .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepShape_ClosedShell)&aOuter)
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepShape_ClosedShell)&aOuter, const Handle(StepShape_FacetedBrep)&aFacetedBrep, const Handle(StepShape_BrepWithVoids)&aBrepWithVoids)
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepShape_ClosedShell)&aOuter, const Handle(StepShape_HArray1OfOrientedClosedShell)&aVoids)
Standard_EXPORT void | SetFacetedBrep (const Handle(StepShape_FacetedBrep)&aFacetedBrep)
Standard_EXPORT Handle_StepShape_FacetedBrep | FacetedBrep () const
Standard_EXPORT void | SetBrepWithVoids (const Handle(StepShape_BrepWithVoids)&aBrepWithVoids)
Standard_EXPORT Handle_StepShape_BrepWithVoids | BrepWithVoids () const
Standard_EXPORT void | SetVoids (const Handle(StepShape_HArray1OfOrientedClosedShell)&aVoids)
Standard_EXPORT Handle_StepShape_HArray1OfOrientedClosedShell | Voids () const
Standard_EXPORT Handle_StepShape_OrientedClosedShell | VoidsValue (const Standard_Integer num) const
Standard_EXPORT Standard_Integer | NbVoids () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepShape_FacetedBrep | facetedBrep
Handle_StepShape_BrepWithVoids | brepWithVoids

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_FacetedBrepAndBrepWithVoids::StepShape_FacetedBrepAndBrepWithVoids | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepShape_BrepWithVoids StepShape_FacetedBrepAndBrepWithVoids::BrepWithVoids | ( |  | ) | const

Standard_EXPORT Handle_StepShape_FacetedBrep StepShape_FacetedBrepAndBrepWithVoids::FacetedBrep | ( |  | ) | const

Standard_EXPORT const StepShape_FacetedBrepAndBrepWithVoids::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepShape_ManifoldSolidBrep.

Standard_EXPORT void StepShape_FacetedBrepAndBrepWithVoids::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepShape_ClosedShell)& | aOuter,
|  | const Handle(StepShape_HArray1OfOrientedClosedShell)& | aVoids
| ) |

Standard_EXPORT void StepShape_FacetedBrepAndBrepWithVoids::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepShape_ClosedShell)& | aOuter,
|  | const Handle(StepShape_FacetedBrep)& | aFacetedBrep,
|  | const Handle(StepShape_BrepWithVoids)& | aBrepWithVoids
| ) |

virtual Standard_EXPORT void StepShape_FacetedBrepAndBrepWithVoids::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepShape_ClosedShell)& | aOuter
| ) | `[virtual]`

| Reimplemented from StepShape_ManifoldSolidBrep.

Standard_EXPORT Standard_Integer StepShape_FacetedBrepAndBrepWithVoids::NbVoids | ( |  | ) | const

Standard_EXPORT void StepShape_FacetedBrepAndBrepWithVoids::SetBrepWithVoids | ( | const Handle(StepShape_BrepWithVoids)& | aBrepWithVoids | ) |

Standard_EXPORT void StepShape_FacetedBrepAndBrepWithVoids::SetFacetedBrep | ( | const Handle(StepShape_FacetedBrep)& | aFacetedBrep | ) |

Standard_EXPORT void StepShape_FacetedBrepAndBrepWithVoids::SetVoids | ( | const Handle(StepShape_HArray1OfOrientedClosedShell)& | aVoids | ) |

Standard_EXPORT Handle_StepShape_HArray1OfOrientedClosedShell StepShape_FacetedBrepAndBrepWithVoids::Voids | ( |  | ) | const

Standard_EXPORT Handle_StepShape_OrientedClosedShell StepShape_FacetedBrepAndBrepWithVoids::VoidsValue | ( | const Standard_Integer | num | ) | const

## Field Documentation

Handle_StepShape_BrepWithVoids StepShape_FacetedBrepAndBrepWithVoids::brepWithVoids`[private]`

Handle_StepShape_FacetedBrep StepShape_FacetedBrepAndBrepWithVoids::facetedBrep`[private]`

The documentation for this class was generated from the following file:

- StepShape_FacetedBrepAndBrepWithVoids.hxx